<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddVohServerReq StructType
 * @subpackage Structs
 */
class AddVohServerReq extends APIRequest
{
    /**
     * The vohServer
     * @var XVohServer
     */
    public $vohServer;
    /**
     * Constructor method for AddVohServerReq
     * @uses AddVohServerReq::setVohServer()
     * @param XVohServer $vohServer
     */
    public function __construct(XVohServer $vohServer = null)
    {
        $this
            ->setVohServer($vohServer);
    }
    /**
     * Get vohServer value
     * @return XVohServer|null
     */
    public function getVohServer()
    {
        return $this->vohServer;
    }
    /**
     * Set vohServer value
     * @param XVohServer $vohServer
     * @return AddVohServerReq
     */
    public function setVohServer(XVohServer $vohServer = null)
    {
        $this->vohServer = $vohServer;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddVohServerReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
